xpmtoppm(1)

NAZWA
xpmtoppm - tworzy przenośną pixmapę (.ppm) z pixmapy X11

SKŁADNIA
xpmtoppm [--alphaout={nazwa-pliku-alpha,-}] [-verbose] [plikxpm]

OPIS
Odczytuje pixmapę X11 (XPM w wersji 1 lub 3). Następnie zapisuje na standardowym wyjściu przenośną pixmapę (.ppm).

OPCJE

--alphaout=nazwa-pliku-alpha
    xpmtoppm tworzy plik PBM zawierający maskę przezroczystości obrazu. Jeśli obraz wejściowy nie zawiera informacji o przezroczystości, to nazwa-pliku-alpha zawiera wszystkie białe (nieprzejrzyste) wartości alpha. Jeśli nie poda się opcji --alphaout, to xpmtoppm nie wygeneruje pliku alpha, a jeśli obraz wejściowy zawierał informacje o przejrzystości, to xpmtoppm je zignoruje. Podanie - spowoduje, że xpmtoppm zapisze informacje alpha na standardowe wyjście i zignoruje obraz. Jeden ze sposobów używania pliku wyjściowego alpha jest opisany w pnmcomp(1).

--verbose
    xpmtoppm wyświetla informacje o przetwarzaniu na standardowym wyjściu błędów.

OGRANICZENIA
Format plików utworzonych przez XPM w wersji 3 nie jest w pełni obsługiwany. Komentarze mogą być zawarte tylko w pojedynczych liniach i dla każdego piksela musi istnieć domyślna nazwa koloru.

ZOBACZ TAKŻE
ppmtoxpm(1), pnmcomp(1), ppm(5)

AUTOR
Copyright (C) 1991 by Jef Poskanzer. Wspacie wersji 3. formatu XPM dodał
    Arnaud Le Hors (lehors@mirsa.inria.fr)
    we wtorek, 9 kwietnia 9 1991

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Łukasz Kowalczyk (PTM) i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 10.0 oryginału.